Skip to main content
PUT
/
sources
/
{sourceKey}
/
v1
/
collections
/
{collectionKey}
Create or update a registry collection
curl --request PUT \
  --url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/collections/{collectionKey} \
  --header 'Content-Type: application/json' \
  --header 'X-Clinia-API-Key: <api-key>' \
  --data '
{
  "profile": {
    "properties": {},
    "description": "<string>",
    "contained": {}
  }
}
'
{
  "key": "<string>",
  "profile": {
    "properties": {},
    "key": "<string>",
    "description": "<string>",
    "contained": {}
  },
  "pipeline": {
    "steps": [
      {
        "vectorizer": {
          "inputProperty": "content.passages",
          "propertyKey": "vector",
          "modelId": "text-embedding-004",
          "dimensions": 768,
          "propertyDescription": "The vectorized content"
        },
        "trigger": {
          "operator": {
            "and": "<array>",
            "id": "<string>"
          }
        }
      }
    ],
    "id": "<string>"
  }
}

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

sourceKey
string
required

The key of the source.

collectionKey
string
required

The key of the collection. It must follow pattern: ^[a-zA-Z0-9-][\w-]{0,61}$.

Pattern: ^[a-zA-Z0-9-][\w-]{0,61}$

Body

application/json
type
enum<string>
required

The type of the collection.

Available options:
resources,
relationships
profile
object
required

The profile of the collection.

Response

A successful response when the collection was updated.

type
enum<string>
required

The type of the collection.

Available options:
resources,
relationships
key
string
required
read-only

The key of the collection.

profile
object
required

The profile of the collection.

pipeline
object

The ingestion pipeline of the collection.